Question

Erreur MAJ MariaDB 10.5 vers 10.11 Centreon 24.04


Userlevel 1
Badge +3

Bonjour à tous,

 

Je passe l’upgrade de Centreon 23.10 vers 24.04, tout se passait bien, jusqu’à la MAJ de MariaDB 10.5 vers 10.11, je suis bien le tuto étape par étape, je mets bien mon repo à jour:
dnf config-manager --add-repo https://packages.centreon.com/rpm-standard/24.04/el9/centreon-24.04.repo
et quand je passe la commande:
dnf install MariaDB-server-10.11\* MariaDB-client-10.11\* MariaDB-shared-10.11\* MariaDB-compat-10.11\* MariaDB-common-10.11\*

Il me met:

Errors during downloading metadata for repository 'packages.centreon.com_rpm-standard_24.04_el8_centreon-24.04.rep':

il manque le o de .repo ! je pense que l’erreur de vient de là, comment y remédier ?

 

Merci


7 replies

Userlevel 5
Badge +17

Please check /etc/yum.repos.d/ this is most likely where the “o” is missing?

Userlevel 1
Badge +3

although the repository is up to date, it does not work, it cannot find the MariaDB 10.11 version, only 10.5 can still be found

 

 

 

Userlevel 5
Badge +17

Have you installed the mariadb repo as indicated in https://docs.centreon.com/docs/upgrade/upgrade-mariadb/#upgrading-between-major-mariadb-versions?
https://mariadb.com/kb/en/mysql_upgrade/

Userlevel 5
Badge +11

Hi @slayderz2

Please don't forget to click on the “Best Answer” button for the solution that helped you resolve your issue. Alternatively, you can share how you were able to solve the problem.

Your input will greatly help others facing similar challenges in finding solutions.

Thank you,

Badge

Bonjour,

Malheureusement la procédure est manifestement fausse : https://docs.centreon.com/fr/docs/upgrade/upgrade-mariadb/#changer-de-version-majeure-de-mariadb

Le paquet MariaDB-compat-10.11 n’existe pas, malgré installation des dépôts MariaDB officiels :

Il serait intéressant de corriger la procédure de mise à jour MariaDB, car ce paquet n’est plus à disposition sur les dépôts MariaDB.

Utiliser la même ligne, sans le paquet inexistant :

dnf install MariaDB-server-10.11\* MariaDB-client-10.11\* MariaDB-shared-10.11\* MariaDB-compat-10.11\* MariaDB-common-10.11\*

 

Userlevel 3
Badge +5

Hello @fgohierre,

Lots of customers seem to have used this procedure without encountering this problem, so maybe there is a problem your end.

Can you access this URL from your machine? https://packages.centreon.com/ui/native/rpm-standard/24.04/el9/stable/noarch/repodata/
If you can, maybe the problem comes from a proxy. I you can't, this is a network issue.

Regards

Userlevel 3
Badge +5

Hello again @fgohierre 

It seems that the solution is simpler than I thought and it is included in the documentation:
 

Hope this helps!

Reply